MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031836Community[OCCT] OCCT:Modeling Algorithmspublic2020-10-11 17:252020-10-22 14:47
ReporterVico Liang 
Assigned Tobugmaster 
PriorityhighSeveritycrash 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031836: [REGRESSION] Modeling Algorithms - Boolean cut failed between a Cone and a Torus
DescriptionThe uploaded file cut-crash.brep have two solid: a cone and a Torus.
It will crash when cut the Torus from the Cone in occt 7.5.0 beta.
It works well in OCCT version 7.4.0.
Steps To Reproduce
pload MODELING VISUALIZATION
pcone c 285 100 300
ptorus t 80 20
ttranslate t 0 0 300
bcut r c t
vinit View1
vdisplay -dispMode 1 c t
vaspects t -setColor RED -setTransparency 0.5
vpolygonoffset t 1 2 1
verase c
vdisplay -dispMode 1 r
vaspects r -setColor GREEN
vfit



The code snipped as below:
    BRepAlgoAPI_Cut aCutAlgoAPI;
    aCutAlgoAPI.SetArguments(aArgumentShapes); // Cone
    aCutAlgoAPI.SetTools(aToolShapes);         // Torus
    aCutAlgoAPI.SetFuzzyValue(1e-6);
    aCutAlgoAPI.SetRunParallel(Standard_True);
    aCutAlgoAPI.SetNonDestructive(Standard_True);
    aCutAlgoAPI.SetToFillHistory(Standard_False);
    aCutAlgoAPI.Build();
TagsNo tags attached.
Test case numberbugs/modalg_7/bug31836
Attached Files? file icon cut-crash.brep (192,460 bytes) 2020-10-11 17:25
jpg file icon cut-crash.jpg (74,045 bytes) 2020-10-11 17:27

- Relationships
related to 0031858assignedemv Community [REGRESSION] Modeling Algorithms - boolean operation crash between the given cylinder and torus. 

-  Notes
(0095881)
msv (developer)
2020-10-11 23:24

Reverting the following commit:
0024789: BOPAlgo_Builder produces invalid result on planar, conical and spherical surfaces
makes the operation working.
Dear Eugeny, please check what can be done here.
(0095891)
git (administrator)
2020-10-12 15:38

Branch CR31836 has been created by emv.

SHA-1: 835259244fc06d9a91bb5cbe88cfa53e1e843e29


Detailed log of new commits:

Author: emv
Date: Mon Oct 12 15:40:27 2020 +0300

    0031836: regression issue - boolean cut failed between a cone and a Torus.
    
    BOPAlgo_PaveFiller::UpdateExistingPaveBlocks: Add check for closed edge when updating pave block.
(0095898)
kgv (developer)
2020-10-12 17:15
edited on: 2020-10-12 17:16

Draw Harness script reproducing the issue with dynamically constructed torus and cone:

pload MODELING VISUALIZATION
pcone c 285 100 300
ptorus t 80 20
ttranslate t 0 0 300
bcut r c t
vinit View1
vdisplay -dispMode 1 c t
vaspects t -setColor RED -setTransparency 0.5
vpolygonoffset t 1 2 1
verase c
vdisplay -dispMode 1 r
vaspects r -setColor GREEN
vfit


(0095917)
emv (developer)
2020-10-13 10:01

Kirill, do you propose to remove the shape from the test base?
(0095919)
kgv (developer)
2020-10-13 10:09

Eugeny,

> Kirill, do you propose to remove the shape from the test base?
I see no reason adding a file artifact, if problem is reproducible using direct construction - so yes, I propose removing the file.
(0095920)
emv (developer)
2020-10-13 10:19

Dear Mikhail, could you please review the git branch CR31836?

Test results- http://jenkins-test-12.nnov.opencascade.com/view/CR31836-master-emv/view/COMPARE/ [^]
(0095921)
git (administrator)
2020-10-13 10:48

Branch CR31836 has been updated forcibly by emv.

SHA-1: 22eda68c91a80257e2de6b9d28680e559732c09d
(0095922)
emv (developer)
2020-10-13 11:08

Done. File is removed, test case is updated.
(0095925)
msv (developer)
2020-10-13 11:29

For integration:
occt - CR31836
products - none
(0096030)
bugmaster (administrator)
2020-10-17 13:21

Combination -
OCCT branch : IR-2020-10-16
master SHA - ae9f4b64cacf0df612944b3694a3bdfa5f1f29cf
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-10-16 SHA - fcb5abe005e152f7f923f4cf6c02acb07c027cdc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18027.820000000127 / 18057.130000000117 [-0.16%]
Products
Total CPU difference: 12174.330000000093 / 12182.170000000115 [-0.06%]
Windows-64-VC14:
OCCT
Total CPU difference: 19740.03125 / 19746.828125 [-0.03%]
Products
Total CPU difference: 13564.71875 / 13586.625 [-0.16%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master 815f039b
Timestamp: 2020-10-12 12:40:27
Author: emv
Committer: bugmaster
Details ] Diff ]
0031836: Modeling Algorithms - Boolean cut failed between a Cone and a Torus

BOPAlgo_PaveFiller::UpdateExistingPaveBlocks: Add check for closed edge when updating pave block.
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
add - tests/bugs/modalg_7/bug31836 Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-10-11 17:25 Vico Liang New Issue
2020-10-11 17:25 Vico Liang Assigned To => msv
2020-10-11 17:25 Vico Liang File Added: cut-crash.brep
2020-10-11 17:26 Vico Liang Description Updated View Revisions
2020-10-11 17:27 Vico Liang File Added: cut-crash.jpg
2020-10-11 21:21 abv Priority normal => high
2020-10-11 23:22 msv Relationship added child of 0024789
2020-10-11 23:24 msv Note Added: 0095881
2020-10-11 23:24 msv Assigned To msv => emv
2020-10-11 23:24 msv Status new => assigned
2020-10-12 15:38 git Note Added: 0095891
2020-10-12 15:54 kgv Summary regression issue - boolean cut failed between a cone and a Torus. => [REGRESSION] Modeling Algorithms - Boolean cut failed between a Cone and a Torus
2020-10-12 15:54 kgv Description Updated View Revisions
2020-10-12 15:54 kgv Steps to Reproduce Updated View Revisions
2020-10-12 17:15 kgv Note Added: 0095898
2020-10-12 17:15 kgv Steps to Reproduce Updated View Revisions
2020-10-12 17:16 kgv Note Edited: 0095898 View Revisions
2020-10-13 10:01 emv Note Added: 0095917
2020-10-13 10:09 kgv Note Added: 0095919
2020-10-13 10:19 emv Note Added: 0095920
2020-10-13 10:19 emv Assigned To emv => msv
2020-10-13 10:19 emv Status assigned => resolved
2020-10-13 10:48 git Note Added: 0095921
2020-10-13 11:08 emv Note Added: 0095922
2020-10-13 11:29 msv Note Added: 0095925
2020-10-13 11:29 msv Assigned To msv => bugmaster
2020-10-13 11:29 msv Status resolved => reviewed
2020-10-17 13:21 bugmaster Note Added: 0096030
2020-10-17 13:21 bugmaster Status reviewed => tested
2020-10-17 13:27 bugmaster Test case number => bugs/modalg_7/bug31836
2020-10-17 13:31 bugmaster Changeset attached => occt master 815f039b
2020-10-17 13:31 bugmaster Status tested => verified
2020-10-17 13:31 bugmaster Resolution open => fixed
2020-10-22 14:47 kgv Relationship added related to 0031858


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker